Bug 45350 - Null deref in RenderBlock::findNextLineBreak()
Summary: Null deref in RenderBlock::findNextLineBreak()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-07 18:20 PDT by Cris Neckar
Modified: 2010-09-10 05:44 PDT (History)
4 users (show)

See Also:


Attachments
repro (263 bytes, text/html)
2010-09-07 18:20 PDT, Cris Neckar
no flags Details
Patch (2.80 KB, patch)
2010-09-08 10:29 PDT, Cris Neckar
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cris Neckar 2010-09-07 18:20:18 PDT
Created attachment 66816 [details]
repro

A textnode with a fixed position and first-line styling may resturn null for style(). This is then derefed causing a crash.

I will submit a patch shortly.
Comment 1 Cris Neckar 2010-09-08 10:29:57 PDT
Created attachment 66910 [details]
Patch
Comment 2 chris fleizach 2010-09-10 02:07:45 PDT
Comment on attachment 66910 [details]
Patch

You should consider using the format other fast tests use with js-test-pre.js, and js-test-post.js. Many examples abound in fast/dom
Comment 3 WebKit Commit Bot 2010-09-10 02:45:35 PDT
Comment on attachment 66910 [details]
Patch

Clearing flags on attachment: 66910

Committed r67183: <http://trac.webkit.org/changeset/67183>
Comment 4 WebKit Commit Bot 2010-09-10 02:45:40 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 WebKit Review Bot 2010-09-10 05:44:29 PDT
http://trac.webkit.org/changeset/67183 might have broken GTK Linux 32-bit Debug
The following changes are on the blame list:
http://trac.webkit.org/changeset/67183
http://trac.webkit.org/changeset/67191